Subject: [Hipsec] Recovery from state loss

From: Erik Nordmark <[email-masked]> (Erik Nordmark)
Date: Fri Jun 4 17:08:01 2004

I'm reading the HIP spec (hip-09.txt) and I'm trying to figure out 
the assumptions underlying the recovery from state loss (using the birthday 
stuff).

The document talks about this being used when one host has crashed
and lost all state.
But won't hosts end up discarding the ESP SA after some time of
non-use?
In fact, section 11 seems to recommend that the ESP SA be discarded after
15 minutes.
Since both ends don't seem to not coordinate discarding this state, does
it mean that the birthday counter need to be incremented each time
an SA is discarded?

  Erik